Bug 1846344 - [openstack] api loadbalancer shows operating_status of DEGRADED after kuryr IPI install
Summary: [openstack] api loadbalancer shows operating_status of DEGRADED after kuryr I...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: 4.3.z
Assignee: rdobosz
QA Contact: GenadiC
URL:
Whiteboard:
Depends On: 1832872
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-11 12:24 UTC by OpenShift BugZilla Robot
Modified: 2020-07-14 16:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-14 16:11:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 666 None closed [release-4.3] Bug 1846344: Remove dead member from LB pool. 2020-07-06 10:17:15 UTC
Red Hat Product Errata RHBA-2020:2872 None None None 2020-07-14 16:12:06 UTC

Comment 9 rlobillo 2020-07-07 09:00:32 UTC
Verified on OCP4.3.0-0.nightly-2020-07-06-074036 on OSP16.1 (RHOS-16.1-RHEL-8-20200701.n.0) with OVN.

Bootstrap port was deleted after bootstrap server destroy during installation, so now the the loadbalancer pool shows operating_status=ONLINE:


(overcloud) [stack@undercloud-0 ~]$ openstack loadbalancer show ostest-h5nsm-kuryr-api-loadbalancer
+---------------------+--------------------------------------+
| Field               | Value                                |
+---------------------+--------------------------------------+
| admin_state_up      | True                                 |
| created_at          | 2020-07-06T14:19:47                  |
| description         |                                      |
| flavor_id           | None                                 |
| id                  | ab238b56-42dd-477f-bda0-a69c35fc8809 |
| listeners           | 8af78aa5-270a-41cb-8433-bc9d6e5b080a |
| name                | ostest-h5nsm-kuryr-api-loadbalancer  |
| operating_status    | ONLINE                               |
| pools               | 622c68f5-153c-4f4d-bedd-1e1e92cbce58 |
| project_id          | 3560abffb35a441cb293df447e20d43a     |
| provider            | amphora                              |
| provisioning_status | ACTIVE                               |
| updated_at          | 2020-07-06T14:58:24                  |
| vip_address         | 172.30.0.1                           |
| vip_network_id      | 0fbaf2c7-5682-462f-9751-0a53bd094e34 |
| vip_port_id         | e47b1479-970d-4260-8779-69c07c008dcf |
| vip_qos_policy_id   | None                                 |
| vip_subnet_id       | d272584c-b0b4-4dc4-9166-c78366be3b61 |
+---------------------+--------------------------------------+

(overcloud) [stack@undercloud-0 ~]$ openstack loadbalancer member list 622c68f5-153c-4f4d-bedd-1e1e92cbce58
+--------------------------------------+----------------------------+----------------------------------+---------------------+--------------+---------------+------------------+--------+
| id                                   | name                       | project_id                       | provisioning_status | address      | protocol_port | operating_status | weight |
+--------------------------------------+----------------------------+----------------------------------+---------------------+--------------+---------------+------------------+--------+
| dd771f2f-a171-4f8b-bf1f-ac0f010a0922 | ostest-h5nsm-master-port-1 | 3560abffb35a441cb293df447e20d43a | ACTIVE              | 10.196.2.6   |          6443 | ONLINE           |    100 |
| 0ed87fc0-2a1e-4be8-a12e-e0d4ae5880d7 | ostest-h5nsm-master-port-0 | 3560abffb35a441cb293df447e20d43a | ACTIVE              | 10.196.1.4   |          6443 | ONLINE           |    100 |
| bcd26d1c-9840-4f39-940e-421ce072ad54 | ostest-h5nsm-master-port-2 | 3560abffb35a441cb293df447e20d43a | ACTIVE              | 10.196.3.160 |          6443 | ONLINE           |    100 |
+--------------------------------------+----------------------------+----------------------------------+---------------------+--------------+---------------+------------------+--------+
(overcloud) [stack@undercloud-0 ~]$ openstack loadbalancer pool show 622c68f5-153c-4f4d-bedd-1e1e92cbce58
+----------------------+------------------------------------------+
| Field                | Value                                    |
+----------------------+------------------------------------------+
| admin_state_up       | True                                     |
| created_at           | 2020-07-06T14:23:33                      |
| description          |                                          |
| healthmonitor_id     | ff8f1135-3073-492c-a50c-8dc4661b286e     |
| id                   | 622c68f5-153c-4f4d-bedd-1e1e92cbce58     |
| lb_algorithm         | ROUND_ROBIN                              |
| listeners            | 8af78aa5-270a-41cb-8433-bc9d6e5b080a     |
| loadbalancers        | ab238b56-42dd-477f-bda0-a69c35fc8809     |
| members              | 0ed87fc0-2a1e-4be8-a12e-e0d4ae5880d7     |
|                      | dd771f2f-a171-4f8b-bf1f-ac0f010a0922     |
|                      | bcd26d1c-9840-4f39-940e-421ce072ad54     |
| name                 | ostest-h5nsm-kuryr-api-loadbalancer-pool |
| operating_status     | ONLINE                                   |
| project_id           | 3560abffb35a441cb293df447e20d43a         |
| protocol             | HTTPS                                    |
| provisioning_status  | ACTIVE                                   |
| session_persistence  | None                                     |
| updated_at           | 2020-07-06T14:58:24                      |
| tls_container_ref    | None                                     |
| ca_tls_container_ref | None                                     |
| crl_container_ref    | None                                     |
| tls_enabled          | False                                    |
+----------------------+------------------------------------------+

Comment 11 errata-xmlrpc 2020-07-14 16:11:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2872


Note You need to log in before you can comment on or make changes to this bug.